Skip to content

Get a task's status and result

GET
/api/v1/agents/{role}/tasks/{task_id}

Fetch a single AgentTask by ID, tenant-scoped.

Authorizations

Parameters

Path Parameters

role
required

The agent role the task belongs to

string

The agent role the task belongs to

task_id
required

The task ID to fetch

string format: uuid

The task ID to fetch

Responses

200

Successful Response

Wrapper response for GET /agents/{role}/tasks/{task_id}.

Attributes: data: The task payload.

object
data
required

Payload returned by GET /agents/{role}/tasks/{task_id}.

Attributes: task_id: The task’s ID. agent_role: The agent role the task belongs to. task_type: The type of task. status: Current task status (e.g. pending/completed/failed). input: The task’s input payload. output: The task’s output payload, populated once completed. error: Error message, populated if the task failed.

object
agent_role
required
string
error
Any of:
string
input
required
object
key
additional properties
any
output
Any of:
object
key
additional properties
any
status
required
string
task_id
required
string format: uuid
task_type
required
string

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string